#include <stdio.h>
#include <string.h>
#include "config.h"

static void print_font(cfg_font_t *F)
{
  printf("FONT\n");
  if (F->G_size) printf("size= %f ", F->size);
  if (F->G_weight) printf("weight= %d ", F->weight);
  if (F->G_effects) printf("effects= %d ", F->effects);
  if (F->G_family) printf("family= [%s] ", F->family);
  printf("\n");
}

  cfg_main_t cfg;

int main()
{
  char *e;
  memset(&cfg,0,sizeof(cfg));
  e= cfg_parse_main("test.cfg", &cfg);
  if (e) printf(">>%s\n", e);
  printf("A(%d)= %d B(%d)= %d\n", cfg.G_a, cfg.a, cfg.G_b, cfg.b);
  int i;
  printf("tabs: ");
  for(i=0;i<cfg.N_tabs;i++)
    printf("%d ",cfg.tabs[i]);
  printf("\n");

  for(i=0;i<cfg.N_styles;i++)
    print_font(&cfg.styles[i]);
  printf("MAIN FONT\n");
  print_font(&cfg.main_font);

  printf("SEARCH PATH\n");
  for(i=0;i<cfg.N_search_path;i++)
     printf("%s\n", cfg.search_path[i]);

  return 0;
}
